KNOTD(8)

NAME
knotd - Knot DNS server daemon

SYNOPSIS

knotd [parameters]

DESCRIPTION

  Parameters

-c, --config file
    Use a textual configuration file (default is /etc/knot/knot.conf).

-C, --confdb directory
    Use a binary configuration database directory (default is /var/db/knot/confdb). The default configuration database, if exists, has a preference to the default configuration file.

-m, --max-conf-size MiB
    Set maximum size of the configuration database (default is 500 MiB, maximum 10000 MiB).

-s, --socket path
    Use a remote control UNIX socket path (default is /var/run/knot/knot.sock).

-d, --daemonize [directory]
    Run the server as a daemon. New root directory may be specified (default is /).

-v, --verbose
    Enable debug output.

-h, --help
    Print the program help.

-V, --version
    Print the program version.

EXIT VALUES

Exit status of 0 means successful operation. Any other exit status indicates an error.

SEE ALSO

knot.conf(5), knotc(8), keymgr(8), kjournalprint(8).

AUTHOR
CZ.NIC Labs <https://www.knot-dns.cz>

COPYRIGHT
Copyright 2010–2021, CZ.NIC, z.s.p.o.